from plot_ctt_ngl import *
import numpy, Nio, Ngl, sys

#---Read and unpack data
filename = "../Data/MOD06_L2.A2010031.1430.005.2010031221343.hdf" 
a    = Nio.open_file(filename)
ctts = a.variables["Cloud_Top_Temperature"]
cttf = ctts.scale_factor * (ctts[:] - ctts.add_offset)
print ctts

# Read lat/lon off the file for plotting
lat = a.variables["Latitude"][:]
lon = a.variables["Longitude"][:]

title = "%s (%s)" % (ctts.hdf_name,ctts.units)
plot_ctt(cttf,float(ctts._FillValue),lat,lon,title)
