import os, sys
import sys,getopt

from wrf_plot_T2_mpl import WRF_Plotter

if __name__ == '__main__':
#    default_filename = "../Data/wrfout_d03_2012-04-22_23_00_00"
    default_filename = "../data/wrfout_d03_2005-08-30_00:00:00"
   #default_filename = "../py4wh/wrfdata/wrfout_d01_2010-06-12_12:00:00"

   #if(len(sys.argv) > 1):
   #    name = sys.argv[1]
   #else:
   #    print "Usage: %s filename" %(sys.argv[0])
   #    exit(-1)

    fname = None
    filename = None
    var = None
    export_flag = 0
    restart_time = 0

   #f --> the name of the domain we want to use
    (opts,args)=getopt.getopt(sys.argv[1:],'f:v')
    for o,a in opts:
        if o=="-f":
            fname = str(a)
        if o=="-v":
            var = str(a)

    if(None == fname):
        if(os.path.isfile(default_filename)):
            fname = default_filename

    if(None == fname):
	print "Usage: %s -f filename [-v varname]" %(sys.argv[0])
	exit(-1)

    wplt = WRF_Plotter(fname = fname, vname = var)
   #wplt.dump()
    wplt.plot(varname = 'T2')
    wplt.close()

